mail/mhonarc - The NetBSD Packages Collection

Mailbox to HTML converter, suitable for list archives

MHonArc is a Perl program for converting e-mail messages as specified
in RFC 822 and the MIME standard to HTML. MHonArc can perform the
following tasks:

* Convert MH mail folders or UUCP/Unix style mailboxes into an HTML
  mail archive.
* Add or remove messages to an existing HTML mail archive generated
  by MHonArc.
* Convert a single message to HTML.

Along with these tasks, MHonArc provides the following:

* A main customizable index for mail messages archived.
* A customizable thread index listing messages by thread.
* Control over message formatting.
* The ability to hook in your own custom message filters.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 8.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 8.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 8.0earmv7hfmhonarc-2.6.19nb8.tgz
NetBSD 8.0i386mhonarc-2.6.19nb7.tgz
NetBSD 8.0i386mhonarc-2.6.19nb7.tgz
NetBSD 8.0i386mhonarc-2.6.19nb7.tgz
NetBSD 8.0i386mhonarc-2.6.19nb8.tgz
NetBSD 8.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 8.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 8.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 8.0powerpcmhonarc-2.6.19nb8.tgz
NetBSD 8.0powerpcmhonarc-2.6.19nb8.tgz
NetBSD 8.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 8.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 8.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 8.0x86_64mhonarc-2.6.19nb8.tgz
NetBSD 9.0aarch64mhonarc-2.6.19nb8.tgz
NetBSD 9.0aarch64mhonarc-2.6.19nb7.tgz
NetBSD 9.0aarch64mhonarc-2.6.19nb7.tgz
NetBSD 9.0aarch64mhonarc-2.6.19nb7.tgz
NetBSD 9.0alphamhonarc-2.6.19nb8.tgz
NetBSD 9.0alphamhonarc-2.6.19nb7.tgz
NetBSD 9.0earmmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmmhonarc-2.6.19nb8.tgz
NetBSD 9.0earmv6hfmhonarc-2.6.19nb8.tgz
NetBSD 9.0earmv6hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv6hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv6hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv6hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb8.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb7.tgz
NetBSD 9.0earmv7hfmhonarc-2.6.19nb8.tgz
NetBSD 9.0i386mhonarc-2.6.19nb7.tgz
NetBSD 9.0i386mhonarc-2.6.19nb7.tgz
NetBSD 9.0i386mhonarc-2.6.19nb7.tgz
NetBSD 9.0i386mhonarc-2.6.19nb8.tgz
NetBSD 9.0mips64ebmhonarc-2.6.19nb8.tgz
NetBSD 9.0mips64ebmhonarc-2.6.19nb7.tgz
NetBSD 9.0mips64ebmhonarc-2.6.19nb7.tgz
NetBSD 9.0mips64ebmhonarc-2.6.19nb7.tgz
NetBSD 9.0mipselmhonarc-2.6.19nb8.tgz
NetBSD 9.0mipselmhonarc-2.6.19nb7.tgz
NetBSD 9.0mipselmhonarc-2.6.19nb7.tgz
NetBSD 9.0powerpcmhonarc-2.6.19nb8.tgz
NetBSD 9.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 9.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 9.0powerpcmhonarc-2.6.19nb7.tgz
NetBSD 9.0powerpcmhonarc-2.6.19nb8.tgz
NetBSD 9.0sh3elmhonarc-2.6.19nb8.tgz
NetBSD 9.0sh3elmhonarc-2.6.19nb7.tgz
NetBSD 9.0sh3elmhonarc-2.6.19nb7.tgz
NetBSD 9.0sparc64mhonarc-2.6.19nb8.tgz
NetBSD 9.0sparc64mhonarc-2.6.19nb7.tgz
NetBSD 9.0sparcmhonarc-2.6.19nb8.tgz
NetBSD 9.0sparcmhonarc-2.6.19nb7.tgz
NetBSD 9.0sparcmhonarc-2.6.19nb7.tgz
NetBSD 9.0sparcmhonarc-2.6.19nb7.tgz
NetBSD 9.0vaxmhonarc-2.6.19nb7.tgz
NetBSD 9.0vaxmhonarc-2.6.19nb7.tgz
NetBSD 9.0vaxmhonarc-2.6.19nb8.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb8.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb8.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb7.tgz
NetBSD 9.0x86_64mhonarc-2.6.19nb8.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.